<?php

session_start();

// Script By Qassim Hassan, wp-time.com


include 'config.php';

$access_token = $_SESSION['access_token']; // user access token


if( isset($_SESSION['success']) or !isset($_SESSION['access_token']) ){ // check if user is logged in
	header("location: index.php"); // redirect user to index page
	return false;
}


/* Get User Picture */

$width = 160; // picture width, change it if you want

$height = 160; // picture height, change it if you want

$get_picture = "https://graph.facebook.com/me/picture?redirect=0&width=$width&height=$height&access_token=$access_token";

$content_picture = file_get_contents($get_picture);

$picture_json = json_decode($content_picture, true);

$user_picture = $picture_json["data"]["url"]; // user picture link


/* Get User Info */

$get_info = "https://graph.facebook.com/me/?fields=email,name,first_name,last_name,id&access_token=$access_token";

$content_info = file_get_contents($get_info);

$info_json = json_decode($content_info, true);

$_SESSION["first_name"] = $info_json['first_name']; // save user first name in session

$_SESSION["last_name"] = $info_json['last_name']; // save user last name in session

$_SESSION["email"] = $info_json['email']; // save user email in session

$_SESSION["picture"] = $user_picture; // save user picture link in session

$_SESSION['success'] = 1;

header("location: index.php"); // finally, redirect user to index page

?>