<?php

session_start();

// Script By Qassim Hassan, wp-time.com

if( isset($_SESSION['success']) or !isset($_SESSION['login']) ){ // check if user is logged in
	header("location: index.php"); // redirect user to index page
	return false;
}

include 'config.php'; // include app info

$code = str_replace("#_=_", "", $_GET['code']); // CODE from code parameter: http://localhost/login-with-facebook/callback.php?code=XXXXXX

$api = "https://graph.facebook.com/v2.8/oauth/access_token?client_id=$app_id&redirect_uri=$redirect_uri&client_secret=$app_secret&code=$code";

$get_content = file_get_contents($api); // get result

$json = json_decode($get_content, true); // convert result to json array

$access_token = $json['access_token']; // user access token

$_SESSION['access_token'] = $access_token; // save user access token in session

header("location: success.php"); // redirect user to success page

?>